package com.fs.qywx.domain;

import com.fs.common.annotation.Excel;
import com.fs.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 企业微信三方应用授权人员对象 qywx_user
 *
 * @author fs
 * @date 2023-07-24
 */
public class QywxUser extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Integer id;

    /** 企业id */
    @Excel(name = "企业id")
    private String corpId;

    /** 用户id */
    @Excel(name = "用户id")
    private String userId;

    /** 成员名称 */
    @Excel(name = "成员名称")
    private String name;

    /** 主部门id */
    @Excel(name = "主部门id")
    private Integer mainDepartment;


    /** 成员所在部门列表 */
    @Excel(name = "成员所在部门列表")
    private String department;


    /** 父部门id */
    @Excel(name = "父部门id")
    private Integer parentid;

    /** 职位 */
    @Excel(name = "职位")
    private String position;

    /** 性别 */
    @Excel(name = "性别")
    private String gender;

    /** 邮箱 */
    @Excel(name = "邮箱")
    private String email;

    /** 是否是部门负责人 */
    @Excel(name = "是否是部门负责人")
    private String isLeaderInDept;

    /** 头像 */
    @Excel(name = "头像")
    private String avatar;

    /** 头像缩略图 */
    @Excel(name = "头像缩略图")
    private String thumbAvatar;

    /** 电话 */
    @Excel(name = "电话")
    private String telephone;

    /** 别名 */
    @Excel(name = "别名")
    private String alias;

    /** 地址 */
    @Excel(name = "地址")
    private String address;

    /** open_userid */
    @Excel(name = "open_userid")
    private String openUserid;



    /** 二维码 */
    @Excel(name = "二维码")
    private String qrCode;

    /** 状态，-1为删除，禁用为0 启用为1 */
    @Excel(name = "状态，-1为删除，禁用为0 启用为1")
    private Integer status;

    public void setId(Integer id)
    {
        this.id = id;
    }

    public Integer getId()
    {
        return id;
    }
    public void setCorpId(String corpId)
    {
        this.corpId = corpId;
    }

    public String getCorpId()
    {
        return corpId;
    }
    public void setUserId(String userId)
    {
        this.userId = userId;
    }

    public String getUserId()
    {
        return userId;
    }
    public void setName(String name)
    {
        this.name = name;
    }

    public String getName()
    {
        return name;
    }
    public void setParentid(Integer parentid)
    {
        this.parentid = parentid;
    }

    public Integer getParentid()
    {
        return parentid;
    }
    public void setPosition(String position)
    {
        this.position = position;
    }

    public String getPosition()
    {
        return position;
    }
    public void setGender(String gender)
    {
        this.gender = gender;
    }

    public String getGender()
    {
        return gender;
    }
    public void setEmail(String email)
    {
        this.email = email;
    }

    public String getEmail()
    {
        return email;
    }
    public void setIsLeaderInDept(String isLeaderInDept)
    {
        this.isLeaderInDept = isLeaderInDept;
    }

    public String getIsLeaderInDept()
    {
        return isLeaderInDept;
    }
    public void setAvatar(String avatar)
    {
        this.avatar = avatar;
    }

    public String getAvatar()
    {
        return avatar;
    }
    public void setThumbAvatar(String thumbAvatar)
    {
        this.thumbAvatar = thumbAvatar;
    }

    public String getThumbAvatar()
    {
        return thumbAvatar;
    }
    public void setTelephone(String telephone)
    {
        this.telephone = telephone;
    }

    public String getTelephone()
    {
        return telephone;
    }
    public void setAlias(String alias)
    {
        this.alias = alias;
    }

    public String getAlias()
    {
        return alias;
    }
    public void setAddress(String address)
    {
        this.address = address;
    }

    public String getAddress()
    {
        return address;
    }
    public void setOpenUserid(String openUserid)
    {
        this.openUserid = openUserid;
    }

    public String getOpenUserid()
    {
        return openUserid;
    }
    public void setMainDepartment(Integer mainDepartment)
    {
        this.mainDepartment = mainDepartment;
    }

    public Integer getMainDepartment()
    {
        return mainDepartment;
    }
    public void setQrCode(String qrCode)
    {
        this.qrCode = qrCode;
    }

    public String getQrCode()
    {
        return qrCode;
    }
    public void setStatus(Integer status)
    {
        this.status = status;
    }

    public Integer getStatus()
    {
        return status;
    }


    public String getDepartment() {
        return department;
    }

    public void setDepartment(String department) {
        this.department = department;
    }


    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("corpId", getCorpId())
            .append("userId", getUserId())
            .append("name", getName())
            .append("parentid", getParentid())
            .append("position", getPosition())
            .append("gender", getGender())
            .append("email", getEmail())
            .append("isLeaderInDept", getIsLeaderInDept())
            .append("avatar", getAvatar())
            .append("thumbAvatar", getThumbAvatar())
            .append("telephone", getTelephone())
            .append("alias", getAlias())
            .append("address", getAddress())
            .append("openUserid", getOpenUserid())
            .append("mainDepartment", getMainDepartment())
            .append("qrCode", getQrCode())
            .append("status", getStatus())
            .append("createTime", getCreateTime())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
